POE::Filter::HTTPHead(3)

NAME
POE::Filter::HTTPHead - filter data as HTTP::Response objects

VERSION
version 0.949

SYNOPSYS
  $filter = POE::Filter::HTTPHead->new();
  $arrayref_of_response_objects =
    $filter->get($arrayref_of_raw_chunks_from_driver);

  $arrayref_of_leftovers = $filter->get_pending();

DESCRIPTION
The HTTPHead filter turns stream data that has the appropriate format into a HTTP::Response object. In an all-POE world, this would sit on the other end of a connection as POE::Filter::HTTPD

  new
Creates a new filter to parse HTTP headers. Takes no parameters, and returns a shiny new POE::Filter::HTTPHead object.

METHODS
See POE::Filter for documentation of the public API.

  get_pending
Returns unparsed data pending in this filter's input buffer. It's used by POE::Wheel objects to seamlessly switch between filters.

Details may be found in the POE::Filter documentation.